<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>ConstraintsBuilder</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.builder</a></div>
<h2 title="Class ConstraintsBuilder" class="title">Class ConstraintsBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>ConstraintsBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">ConstraintsBuilder</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">ConstraintsBuilder</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>ConstraintsModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#constraintsModelRoot(org.eclipse.app4mc.amalthea.model.Amalthea,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">constraintsModelRoot</a></span>&#8203;(Amalthea&nbsp;container,
                    Procedures.Procedure1&lt;ConstraintsModel&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deadline_Process(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.app4mc.amalthea.model.AbstractProcess,org.eclipse.app4mc.amalthea.model.Time)">deadline_Process</a></span>&#8203;(ConstraintsModel&nbsp;container,
                AbstractProcess&nbsp;process,
                Time&nbsp;deadline)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deadline_Runnable(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.Time)">deadline_Runnable</a></span>&#8203;(ConstraintsModel&nbsp;container,
                 Runnable&nbsp;runnable,
                 Time&nbsp;deadline)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#eventChain(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">eventChain</a></span>&#8203;(ConstraintsModel&nbsp;container,
          Procedures.Procedure1&lt;EventChain&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#limit_Count(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">limit_Count</a></span>&#8203;(Requirement&nbsp;container,
           Procedures.Procedure1&lt;CountRequirementLimit&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#limit_CPUPercentage(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">limit_CPUPercentage</a></span>&#8203;(Requirement&nbsp;container,
                   Procedures.Procedure1&lt;CPUPercentageRequirementLimit&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#limit_Frequency(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">limit_Frequency</a></span>&#8203;(Requirement&nbsp;container,
               Procedures.Procedure1&lt;FrequencyRequirementLimit&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#limit_Percentage(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">limit_Percentage</a></span>&#8203;(Requirement&nbsp;container,
                Procedures.Procedure1&lt;PercentageRequirementLimit&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#limit_Time(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">limit_Time</a></span>&#8203;(Requirement&nbsp;container,
          Procedures.Procedure1&lt;TimeRequirementLimit&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requirement_Architecture(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">requirement_Architecture</a></span>&#8203;(ConstraintsModel&nbsp;container,
                        Procedures.Procedure1&lt;ArchitectureRequirement&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requirement_Process(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">requirement_Process</a></span>&#8203;(ConstraintsModel&nbsp;container,
                   Procedures.Procedure1&lt;ProcessRequirement&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requirement_ProcessChain(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">requirement_ProcessChain</a></span>&#8203;(ConstraintsModel&nbsp;container,
                        Procedures.Procedure1&lt;ProcessChainRequirement&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requirement_Runnable(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">requirement_Runnable</a></span>&#8203;(ConstraintsModel&nbsp;container,
                    Procedures.Procedure1&lt;RunnableRequirement&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#subchain(org.eclipse.app4mc.amalthea.model.AbstractEventChain,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">subchain</a></span>&#8203;(AbstractEventChain&nbsp;container,
        Procedures.Procedure1&lt;SubEventChain&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#subchain_ref(org.eclipse.app4mc.amalthea.model.AbstractEventChain,org.eclipse.app4mc.amalthea.model.EventChain)">subchain_ref</a></span>&#8203;(AbstractEventChain&nbsp;container,
            EventChain&nbsp;ref)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConstraintsBuilder</h4>
<pre>public&nbsp;ConstraintsBuilder()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="constraintsModelRoot(org.eclipse.app4mc.amalthea.model.Amalthea,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>constraintsModelRoot</h4>
<pre class="methodSignature">public&nbsp;ConstraintsModel&nbsp;constraintsModelRoot&#8203;(Amalthea&nbsp;container,
                                             Procedures.Procedure1&lt;ConstraintsModel&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="requirement_Architecture(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requirement_Architecture</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;requirement_Architecture&#8203;(ConstraintsModel&nbsp;container,
                                     Procedures.Procedure1&lt;ArchitectureRequirement&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="requirement_Runnable(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requirement_Runnable</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;requirement_Runnable&#8203;(ConstraintsModel&nbsp;container,
                                 Procedures.Procedure1&lt;RunnableRequirement&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="requirement_Process(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requirement_Process</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;requirement_Process&#8203;(ConstraintsModel&nbsp;container,
                                Procedures.Procedure1&lt;ProcessRequirement&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="requirement_ProcessChain(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requirement_ProcessChain</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;requirement_ProcessChain&#8203;(ConstraintsModel&nbsp;container,
                                     Procedures.Procedure1&lt;ProcessChainRequirement&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="deadline_Process(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.app4mc.amalthea.model.AbstractProcess,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deadline_Process</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;deadline_Process&#8203;(ConstraintsModel&nbsp;container,
                             AbstractProcess&nbsp;process,
                             Time&nbsp;deadline)</pre>
</li>
</ul>
<a id="deadline_Runnable(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deadline_Runnable</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;deadline_Runnable&#8203;(ConstraintsModel&nbsp;container,
                              Runnable&nbsp;runnable,
                              Time&nbsp;deadline)</pre>
</li>
</ul>
<a id="limit_Time(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>limit_Time</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;limit_Time&#8203;(Requirement&nbsp;container,
                       Procedures.Procedure1&lt;TimeRequirementLimit&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="limit_Frequency(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>limit_Frequency</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;limit_Frequency&#8203;(Requirement&nbsp;container,
                            Procedures.Procedure1&lt;FrequencyRequirementLimit&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="limit_Percentage(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>limit_Percentage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;limit_Percentage&#8203;(Requirement&nbsp;container,
                             Procedures.Procedure1&lt;PercentageRequirementLimit&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="limit_Count(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>limit_Count</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;limit_Count&#8203;(Requirement&nbsp;container,
                        Procedures.Procedure1&lt;CountRequirementLimit&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="limit_CPUPercentage(org.eclipse.app4mc.amalthea.model.Requirement,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>limit_CPUPercentage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;limit_CPUPercentage&#8203;(Requirement&nbsp;container,
                                Procedures.Procedure1&lt;CPUPercentageRequirementLimit&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="eventChain(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eventChain</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;eventChain&#8203;(ConstraintsModel&nbsp;container,
                       Procedures.Procedure1&lt;EventChain&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="subchain(org.eclipse.app4mc.amalthea.model.AbstractEventChain,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>subchain</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;subchain&#8203;(AbstractEventChain&nbsp;container,
                     Procedures.Procedure1&lt;SubEventChain&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="subchain_ref(org.eclipse.app4mc.amalthea.model.AbstractEventChain,org.eclipse.app4mc.amalthea.model.EventChain)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>subchain_ref</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;subchain_ref&#8203;(AbstractEventChain&nbsp;container,
                         EventChain&nbsp;ref)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
